{% assign type = include.type | default: "by" %}
{% assign author = include.author | default: "Computer Science Faculty" %}
{% assign author_url = include.author_url | default: "https://cs.wellesley.edu" %}
{% assign institution = include.institution | default: "Wellesley College" %}
{% assign title = include.title | default: page.title or "This work" %}
{% assign url = include.url | default: page.url %}
{% assign derived_from_url = include.derived_from_url | default: page.derived_from_url %}

{% assign type_features = type | split:"-" %}
{% assign version = include.version | default: "4.0" %}
{% assign size = include.image_size | default: "large" %}
{% capture image %}{{site.baseurl}}/common/icons/cc/cc-{{type}}.{{size}}.png{% endcapture %}

<a rel="license" href="https://creativecommons.org/licenses/{{type}}/{{version}}/"><img alt="Creative Commons License" style="border-width:0" src="{{image}}" /></a>
<br />
<a href="{{url}}"><span xmlns:dct="https://purl.org/dc/terms/" property="dct:title">{{title}}</span></a>
{% if author %}by {% if author_url %}<a xmlns:cc="http://creativecommons.org/ns#" href="{{author_url}}" property="cc:attributionName" rel="cc:attributionURL">{% endif %}{{author}}</a>{% endif %} {% if institution %}at {{institution}}{% endif %} is licensed under a
<a rel="license" href="https://creativecommons.org/licenses/{{type}}/{{version}}/">Creative Commons {% for feature in type_features %}{% if feature == "by" %}Attribution{% endif %}{% if feature == "nc" %}-NonCommercial{% endif %}{% if feature == "nd" %}-NoDerivatives{% endif %}{% if feature == "sa" %}-ShareAlike{% endif %}{% endfor %} {{version}} International License</a>.
{% if derived_from_url %}<br />
Based on a work at
<a xmlns:dct="https://purl.org/dc/terms/" href="{{derived_from_url}}" rel="dct:source">{{derived_from_url}}</a>.
{% endif %}
